{
  lib,
  config,
  pkgs,
  ...
}:
let
  cfg = config.krop.hm.programs.codium;
in
{
  options.krop.hm.programs.codium = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = true;
      example = false;
      description = "Enable my codium configuration";
    };
  };
  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      gopls
      nixd
    ];
    programs.vscode = {
      enable = true;
      package = pkgs.vscodium;
      extensions = with pkgs.vscode-extensions; [
        jnoortheen.nix-ide
        tamasfe.even-better-toml
        vscodevim.vim
        ms-azuretools.vscode-docker
        ms-kubernetes-tools.vscode-kubernetes-tools
        redhat.vscode-yaml
        ms-python.python
        ms-python.debugpy
        ms-python.vscode-pylance
        golang.go
      ];
      mutableExtensionsDir = false;
    };
  };
}
